import request from '@/utils/request'

// 执行角度弧度转换
export function calculate(data) {
    return request({
        url: `/calculate/degreeToRadian/calculate`,
        method: 'post',
        data: data
    })
}

// 导入 Excel
export function importExcel(data) {
    return request({
        url: `/calculate/degreeToRadian/import`,
        method: 'post',
        data: data,
        headers: {
            'Content-Type': 'multipart/form-data'
        }
    })
}

// 导出角度弧度转换结果
export function exportExcel(data) {
    return request({
        url: `/calculate/degreeToRadian/export`,
        method: 'post',
        data: data,
        responseType: 'blob'
    })
}